%if 0%{?fedora} || 0%{?rhel} > 7
%global with_python3 1
%endif

%global srcname notario

Name:           python-notario
Version:        0.0.16
Release:        1%{?dist}
Summary:        A dictionary validator
License:        MIT
URL:            https://github.com/alfredodeza/notario
Source0:        https://files.pythonhosted.org/packages/source/n/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  pytest
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
%endif # with_python3

%description
Notario is flexible and succinct Python dictionary validator with the ability
to validate against both keys and values. Schemas are smaller and readable
representations of data being validated.

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Notario is flexible and succinct Python dictionary validator with the ability
to validate against both keys and values. Schemas are smaller and readable
representations of data being validated.

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        %{summary}
Requires:       python3

%description -n python3-%{srcname}
Notario is flexible and succinct Python dictionary validator with the ability
to validate against both keys and values. Schemas are smaller and readable
representations of data being validated.
%endif # with_python3

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%{py2_build}


%if 0%{?with_python3}
%{py3_build}
%endif # with_python3

%install
%py2_install


%if 0%{?with_python3}
%py3_install
%endif # with_python3

%check
py.test-%{python2_version} -v notario/tests

%if 0%{?with_python3}
py.test-%{python3_version} -v notario/tests
%endif # with_python3

%files -n python2-%{srcname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/*
%endif # with_python3

%changelog
* Mon Jan 28 2019 Ken Dreyer <kdreyer@redhat.com> - 0.0.16-1
- Update to 0.0.16

* Tue Jun 19 2018 Ken Dreyer <ktdreyer@ktdreyer.com> 0.0.14-1
- Update to 0.0.14 (rhbz#1592603)

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.0.13-2
- Rebuilt for Python 3.7

* Thu May 17 2018 Ken Dreyer <ktdreyer@ktdreyer.com> 0.0.13-1
- Update to 0.0.13 (rhbz#1574272)
- Build py3 on RHEL beyond 7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 14 2017 Ken Dreyer <ktdreyer@ktdreyer.com> 0.0.12-1
- Update to 0.0.12
- New Source0 URL format

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.0.11-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.11-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Mar 02 2016 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.0.11-2
- Use %%global macro instead of %%define (rhbz#1305154)

* Tue Mar 01 2016 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.0.11-1
- Update to latest upstream release
- Drop older python macros.

* Mon Feb 15 2016 Ken Dreyer <kdreyer@redhat.com> - 0.0.9-1
- Update to latest upstream release

* Mon Feb 15 2016 Ken Dreyer <kdreyer@redhat.com> - 0.0.8-2
- Fall back to older python macros. The newer python macros are only
  available in EPEL 7, not RHEL 7 (see rhbz#1306861). Add fallbacks so
  we can still build and install on RHEL 7.
- Use HTTPS upstream URLs.

* Fri Feb 05 2016 Ken Dreyer <kdreyer@redhat.com> 0.0.8-1
- Initial package
